
QGIS Application - Bug report #114

labels not working for shapefiles

2006-05-14 12:54 AM - Surge -

Status: Closed

Priority: Low

Assignee: Martin Dobias

Category: Map Canvas

Affected QGIS version: Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10173

Description

Labels are not displayed for some ESRI shapefiles including ones created by ogr2ogr.

The fields and data are shown in the attribute table inside QGIS but they are not rendered with the features.

Data used : city shapefiles from ESRI World Base Map. (http://www.esri.com/data/download/basemap/index.html)

Even after stripping down the shapefile to just CITY_NAME with ogr2ogr QGIS would still not render the labels but is quite happy to show

it to me in the attribute table.

This problem has been around for a couple of releases and is still in version 0.7.4

History

#1 - 2006-05-14 06:11 AM - Redmine Admin

Work for me in 0.8.0Preview.

#2 - 2006-05-14 06:39 AM - Mateusz Loskot -

I want to add that I tested it with 0.8.0Preview.

#3 - 2006-05-14 02:49 PM - Gavin Macaulay -

- Resolution set to fixed

- Status changed from Open to Closed

This problem is resolved in the 0.8.0 pre-release versions of qgis.

Files

cities.tgz 4.28 KB 2006-05-13 Surge -

qgis-ticket-114-works-for-mloskot.png 105 KB 2006-05-14 Mateusz Loskot -
